Bug 1426615 - Show activity of the JVM console until content is loaded
Summary: Show activity of the JVM console until content is loaded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.6.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 13:02 UTC by Joel Rosental R.
Modified: 2017-12-14 21:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Show spinning image while the Java console is loading Reason: Sometimes loading the Java console takes a while and it's important to show to users that the Java console is loading, not frozen. Result: A spinning image is shown under the top menu bar while the Java console is loading.
Clone Of:
Environment:
Last Closed: 2017-12-14 21:01:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
loading bar shows when the content is not loaded (98.55 KB, image/png)
2017-12-06 03:15 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3438 normal SHIPPED_LIVE OpenShift Container Platform 3.6 and 3.5 bug fix and enhancement update 2017-12-15 01:58:11 UTC

Description Joel Rosental R. 2017-02-24 13:02:53 UTC
1) Proposed title of this feature request

Show activity of the JVM console until the content is loaded

3) What is the nature and description of the request?

As a user after following the documentation in https://docs.openshift.com/container-platform/3.4/architecture/infrastructure_components/web_console.html#jvm-console I can see the link, but after a redirect to https://xxx:8443/console/java/?con=eap-app only a white page is shown.

I thought it was a bug, because i waited over a minute and only saw a white page. I checked after a while and realized that the console is finally loaded.

There should be a way to inform the user there is still some loading going on.

4) Why does the customer need this? (List the business requirements here)

It generates confusion. Initially I thought it was a bug, because I waited over a minute and only saw a white page.

5) How would the customer like to achieve this? (List the functional requirements here)

Showing some progress bar or "please wait" I as a user know it's doing some something.

8) Does the customer have any specific timeline dependencies?
No. 

11) Would the customer be able to assist in testing this functionality if implemented?
Yes.

Comment 2 Alexandre Kieling 2017-02-24 14:13:33 UTC
Does it consistently take this long to load? I think we should investigate why it's taking so long.

Comment 5 Alexandre Kieling 2017-03-24 12:40:14 UTC
I'll start working on this issue today.

Comment 6 Alexandre Kieling 2017-03-24 22:03:34 UTC
Fixed in openshift-jvm version 1.1.7

Comment 8 Alexandre Kieling 2017-04-12 11:48:54 UTC
I tested the fix by throttling the network speed in the Network tab of the Chrome's developer tools panel.

Comment 9 Alexandre Kieling 2017-05-24 11:19:58 UTC
This issue has already been merged. When will it be tested?

Comment 10 Alexandre Kieling 2017-05-24 11:20:29 UTC
This issue has already been merged. When will it be tested?

Comment 11 Alexandre Kieling 2017-08-17 11:30:23 UTC
Has anyone from QE tested this one?

Comment 13 Junqi Zhao 2017-12-06 03:14:26 UTC
@Alexandre

Tested with openshift-jvm 1.1.8
Do you mean if the content is not loaded, there should be one loading bar like my attached picture?

Comment 14 Junqi Zhao 2017-12-06 03:15:06 UTC
Created attachment 1363487 [details]
loading bar shows when the content is not loaded

Comment 15 Alexandre Kieling 2017-12-06 12:09:30 UTC
Exactly. We didn't have any indications that the app was loading. Now we show the spinner image captured in your screenshot.
The spinner image comes from PatternFly: https://www.patternfly.org/pattern-library/widgets/#spinner

Comment 16 Junqi Zhao 2017-12-07 00:15:48 UTC
Tested with openshift-jvm 1.1.8, spinner shows when the app is loading,this can inform the user there is still some loading going on.

Comment 19 errata-xmlrpc 2017-12-14 21:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3438


Note You need to log in before you can comment on or make changes to this bug.